Get box information for a given application. | Algorand Developer Portal
Get box information for a given application.
GET
/v2/applications/{application-id}/box
Given an application ID and box name, it returns the round, box name, and value (each base64 encoded). Box names must be in the goal app call arg encoding form ‘encoding:value’. For ints, use the form ‘int:1234’. For raw bytes, use the form ‘b64:A==’. For printable strings, use the form ‘str:hello’. For addresses, use the form ‘addr:XYZ…’.
Authorizations
- api_key
Parameters
Path Parameters
application-id
required
integer
An application identifier.
Query Parameters
name
required
string
A box name, in the goal app call arg form ‘encoding:value’. For ints, use the form ‘int:1234’. For raw bytes, use the form ‘b64:A==’. For printable strings, use the form ‘str:hello’. For addresses, use the form ‘addr:XYZ…’.
Responses
200
Box information
Select media type application/json
Box name and its content.
name
required
The box name, base64 encoded
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/round
required
The round for which this information is relevant
integervalue
required
The box value, base64 encoded.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/
400
Bad Request
Select media type application/json
An error response with optional data field.
- data
object - message
required
string
401
Invalid API Token
Select media type application/json
An error response with optional data field.
- data
object - message
required
string
404
Box Not Found
Select media type application/json
An error response with optional data field.
- data
object - message
required
string
500
Internal Error
Select media type application/json
An error response with optional data field.
- data
object - message
required
string
default
Unknown Error